<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cupones', function (Blueprint $table) {
            $table->id();
            $table->string('codigo_cupo');
            $table->date('fecha_inicio_cupo');
            $table->date('fecha_vencimiento_cupo');
            $table->decimal('descuento_cupo',19, 2);
            $table->string('tipo_cupo');
            $table->string('estatus_cupo');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cupones');
    }
};
